Skip to main content
`Ctrl`+`K`

# sedgewick_maze_graph

sedgewick_maze_graph(create_using=None)

  Return a small maze with a cycle.

  This is the maze used in Sedgewick, 3rd Edition, Part 5, Graph Algorithms, Chapter 18, e.g. Figure 18.2 and following [1]. Nodes are numbered 0,..,7

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      Small maze with a cycle

  References

  [1]

  Figure 18.2, Chapter 18, Graph Algorithms (3rd Ed), Sedgewick